import { __extends, __assign, __decorate } from 'tslib';
import { Component } from 'vue-property-decorator';
import BaseComponent from '../../BaseComponent.js';
import { BaseButton } from '../BaseButton.js';
import { getStyles } from './CommandBarButton.styles.js';

var CommandBarButton = function(_super) {
  __extends(CommandBarButton2, _super);
  function CommandBarButton2() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  Object.defineProperty(CommandBarButton2.prototype, "internalStyles", {
    get: function() {
      var _a = this, theme = _a.theme, styles = _a.styles;
      return getStyles(theme, styles);
    },
    enumerable: false,
    configurable: true
  });
  CommandBarButton2.prototype.render = function(h) {
    var props = {
      variantClassName: "ms-Button--commandBar",
      styles: this.internalStyles,
      theme: this.theme
    };
    return h(BaseButton, {
      attrs: __assign(__assign(__assign({}, this.$props), props), this.$attrs),
      on: this.$listeners,
      scopedSlots: this.$scopedSlots
    });
  };
  CommandBarButton2 = __decorate([
    Component
  ], CommandBarButton2);
  return CommandBarButton2;
}(BaseComponent);

export { CommandBarButton };
